package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformQwDataStat;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformQwDataStatExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformQwDataStatMapper {
    long countByExample(ContentPlatformQwDataStatExample example);

    int deleteByExample(ContentPlatformQwDataStatExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformQwDataStat record);

    int insertSelective(ContentPlatformQwDataStat record);

    List<ContentPlatformQwDataStat> selectByExample(ContentPlatformQwDataStatExample example);

    ContentPlatformQwDataStat selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformQwDataStat record, @Param("example") ContentPlatformQwDataStatExample example);

    int updateByExample(@Param("record") ContentPlatformQwDataStat record, @Param("example") ContentPlatformQwDataStatExample example);

    int updateByPrimaryKeySelective(ContentPlatformQwDataStat record);

    int updateByPrimaryKey(ContentPlatformQwDataStat record);
}